/*
 *  userfn.c(pp) - for the user's own C/C++ functions
 *
 *  Yazoo
 *  Copyright (C) 2006 Brian C. Ross
 *
 *  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2 of the License, or any later version.

 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 *  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "yzmain.h"
#include "userfn.h"


// **********************************************
// #include any user-defined header files here







// **********************************************
// UserFunctionSet defines the { names, function addresses } of user's C routines.
// Each routine must be of the form:  int RoutineName(int argc, char **argv)


UserFunction UserFunctionSet[] = { { "Debug", &Debug }, { "Yazoo", &run_yazoo } };


const Ulong UF_Top = sizeof(UserFunctionSet)/sizeof(UserFunction);      // for Yazoo's own records





// **********************************************
// C routines may be inserted here, or included in separate source files.




// The author uses this for setting breakpoints and inserting trace statements.
// Run by the command "call("Debug")".

int Debug(int argc, char **argv)
{
    return passed;
}
